Package Test

# Class BDatabase

java.lang.Object
Test.BDatabase

public class BDatabase extends Object

Methodes pour les interaction avec une base de donnees

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Connection`
`sharedObject`

## Constructor Summary

Constructors
Constructor
Description
`BDatabase()`

## Method Summary

Modifier and Type
Method
Description
`ArrayList<String>`
`fetchAll(String request)`
Recuperer les informations d'un requete de type SELECT.
`String`
`getDatabaseName()`
Recuperer le nom de la base de donnees.
`String`
`getHost()`
Recuperer l'hote courant.
`Connection`
`getSharedObject()`
Recuperer l'objet Connection pour pouvoir utiliser ses methodes.
`boolean`
`getStatus()`
Recuperer le status de connection.
`String`
`getUser()`
Recuperer l'utilisateur courant.
`boolean`
`insertRow(String table, String[] col, String[] value)`
Insert une ligne dans une table.
`String`
`toString()`
`boolean`
`updateRow(String request)`
Faire des requetes de type UPDATE SET (il y aura plus d'argument prochainement).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### sharedObject

protected Connection sharedObject

## Constructor Details

### BDatabase

public BDatabase()

## Method Details

### fetchAll

public ArrayList<String> fetchAll(String request)
Recuperer les informations d'un requete de type SELECT.

Parameters:
  `request` - Le SELECT a faire (il y aura plus d'argument prochainement)
Returns:
  Les resultats engendre par la requete

### insertRow

public boolean insertRow(String table, String[] col, String[] value)
Insert une ligne dans une table.

Parameters:
  `table` - La table
  `col` - Tableau qui contient les colonnes d'affectation
  `value` - Valeur des colonnes
Returns:
  Retourne true si ca a reussit et false dans le cas inverse

### updateRow

public boolean updateRow(String request)
Faire des requetes de type UPDATE SET (il y aura plus d'argument prochainement).

Parameters:
  `request` - La requete
Returns:
  Si oui ou non ca a fonctionne

### getSharedObject

public Connection getSharedObject()
Recuperer l'objet Connection pour pouvoir utiliser ses methodes.

Returns:
  L 'objet Connection.

### getUser

public String getUser()
Recuperer l'utilisateur courant.

Returns:
  L 'utilisateur.

### getHost

public String getHost()
Recuperer l'hote courant.

Returns:
  L 'hote.

### getDatabaseName

public String getDatabaseName()
Recuperer le nom de la base de donnees.

Returns:
  Le nom de la base de donnees.

### getStatus

public boolean getStatus()
Recuperer le status de connection.

Returns:
  Le status de connection.

### toString

public String toString()

Overrides:
  `toString` in class `Object`